> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# My notification feed (grouped Today/Earlier)

> My notification feed (grouped Today/Earlier)



## OpenAPI

````yaml /api-reference/openapi.json get /api/notifications
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/notifications:
    get:
      tags:
        - Notifications
      summary: My notification feed (grouped Today/Earlier)
      description: My notification feed (grouped Today/Earlier)
      operationId: getApiNotifications
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  unreadCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type:
                                type: string
                                enum:
                                  - LeaveApproved
                                  - LeaveRejected
                                  - CompOffEarned
                                  - RegularizationApproved
                                  - RegularizationRejected
                                  - OvertimeApproved
                                  - OvertimeRejected
                                  - SwapApproved
                                  - SwapRejected
                                  - DocumentVerified
                                  - MessageReceived
                                  - PunchReminder
                                  - PayslipPublished
                                  - Form16Available
                                  - WebhookFailed
                                  - LeaveSubmitted
                                  - RegularizationSubmitted
                                  - OvertimeSubmitted
                              title:
                                type: string
                              body:
                                type: string
                              tone:
                                type: string
                                enum:
                                  - neutral
                                  - accent
                                  - ok
                                  - warn
                                  - bad
                                  - info
                              channel:
                                type: string
                                enum:
                                  - InApp
                                  - Email
                              ref:
                                anyOf:
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - leave
                                          - regularization
                                          - overtime
                                          - swap
                                          - thread
                                          - attendanceDay
                                          - payslip
                                          - document
                                          - webhook
                                      id:
                                        type: string
                                    required:
                                      - kind
                                      - id
                                  - type: 'null'
                              readAt:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              createdAt:
                                type: string
                            required:
                              - id
                              - type
                              - title
                              - body
                              - tone
                              - channel
                              - ref
                              - readAt
                              - createdAt
                      required:
                        - label
                        - items
                required:
                  - unreadCount
                  - groups
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````